package com.zanxiang.game.data.serve.pojo.base;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.nutz.dao.pager.Pager;

@Data
public class BasePage {
    @ApiModelProperty(notes = "页码")
    private Integer pageNum = 1;

    @ApiModelProperty(notes = "分页大小")
    private Integer pageSize = 10;

    public Pager toPage() {
        Pager pager = new Pager();
        pager.setPageNumber(pageNum);
        pager.setPageSize(pageSize);
        return pager;
    }
}
